net.sf.jasperreports.components.map

## Class MapElementJsonHandler

- java.lang.Object
- - net.sf.jasperreports.components.map.MapElementJsonHandler

- All Implemented Interfaces:
    GenericElementHandler, GenericElementJsonHandler

      public class MapElementJsonHandler
      extends java.lang.Object
      implements GenericElementJsonHandler

  Version:
    $Id: MapElementJsonHandler.java 6922 2014-02-24 11:18:00Z narcism $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.export.GenericElementJsonHandler

      `PARAMETER_CLEAR_CONTEXT_CACHE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapElementJsonHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapElementJsonHandler` | `getInstance()`
    `java.lang.String` | `getJsonFragment(JsonExporterContext context, JRGenericPrintElement element)` Returns an JSON fragment that is to be inserted in the export output.
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapElementJsonHandler

          public MapElementJsonHandler()

  - ### Method Detail

    - #### getInstance

          public static MapElementJsonHandler getInstance()

    - #### getJsonFragment

          public java.lang.String getJsonFragment(JsonExporterContext context,
                                         JRGenericPrintElement element)

      Description copied from interface: `GenericElementJsonHandler`
      Returns an JSON fragment that is to be inserted in the export output.
      Specified by:
        `getJsonFragment` in interface `GenericElementJsonHandler`
        `element` - the generic print element
      Returns:
        the JSON fragment that represents the exported element

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com